Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IGeometry

    java.lang.Object
      igeo.IObject
          igeo.IGeometry

All Implemented Interfaces:
  ITransformable

Direct Known Subclasses:
  IBrep, ICurve, IMesh, IPoint, ISurface, IText

    public abstract class IGeometry

extends IObject
implements ITransformable

Transformable objects.

Author:
  Satoru Sugihara

Field Summary

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IGeometry()`
`IGeometry(IGeometry e)`
`IGeometry(IServerI holder)`
`IGeometry(IServerI holder, IGeometry e)`

Method Summary
`abstract IGeometry` | `add(double x, double y, double z)` ITransformable API
`abstract IGeometry` | `add(double f, IVecI v)` scale add alias
`abstract IGeometry` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`abstract IGeometry` | `add(IDoubleI f, IVecI v)` scale add alias
`abstract IGeometry` | `add(IVecI v)`
`abstract IGeometry` | `add(IVecI v, double f)` scale add
`abstract IGeometry` | `add(IVecI v, IDoubleI f)` scale add
`IGeometry` | `attr(IAttribute at)` set attributes
`abstract IVecI` | `center()` returns center of geometry object
`IGeometry` | `clr(java.awt.Color c)`
`IGeometry` | `clr(java.awt.Color c, double alpha)`
`IGeometry` | `clr(java.awt.Color c, float alpha)`
`IGeometry` | `clr(java.awt.Color c, int alpha)`
`IGeometry` | `clr(double dgray)`
`IGeometry` | `clr(double dgray, double dalpha)`
`IGeometry` | `clr(double dr, double dg, double db)`
`IGeometry` | `clr(double dr, double dg, double db, double da)`
`IGeometry` | `clr(float fgray)`
`IGeometry` | `clr(float fgray, float falpha)`
`IGeometry` | `clr(float fr, float fg, float fb)`
`IGeometry` | `clr(float fr, float fg, float fb, float fa)`
`IGeometry` | `clr(IColor c)` to set an object color
`IGeometry` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IGeometry` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IGeometry` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IGeometry` | `clr(int gray)`
`IGeometry` | `clr(int gray, int alpha)`
`IGeometry` | `clr(int r, int g, int b)`
`IGeometry` | `clr(int r, int g, int b, int a)`
`IGeometry` | `clr(IObject o)` to set the same color with the object
`IGeometry` | `cp()` alias of dup()
`abstract IGeometry` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`abstract IGeometry` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)`
`abstract IGeometry` | `cp(IVecI v)`
`abstract IGeometry` | `div(double v)`
`abstract IGeometry` | `div(IDoubleI v)`
`IGeometry` | `dup()` duplicate object
`abstract IGeometry` | `flip()` alias of neg
`IGeometry` | `hide()`
`IGeometry` | `hsb(double dh, double ds, double db)`
`IGeometry` | `hsb(double dh, double ds, double db, double da)`
`IGeometry` | `hsb(float h, float s, float b)`
`IGeometry` | `hsb(float h, float s, float b, float a)`
`IGeometry` | `layer(ILayer l)` Set layer by ILayer object
`IGeometry` | `layer(java.lang.String layerName)` Set layer by layer name.
`abstract IGeometry` | `mirror(IVecI planeDir)` mirror is alias of ref
`abstract IGeometry` | `mirror(IVecI center, IVecI planeDir)`
`abstract IGeometry` | `mul(double v)`
`abstract IGeometry` | `mul(IDoubleI v)`
`abstract IGeometry` | `mv(double x, double y, double z)` mv() is alias of add()
`abstract IGeometry` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)`
`abstract IGeometry` | `mv(IVecI v)`
`abstract IGeometry` | `neg()`
`abstract IGeometry` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`abstract IGeometry` | `ref(IVecI center, IVecI planeDir)`
`abstract IGeometry` | `rot(double angle)`
`abstract IGeometry` | `rot(IDoubleI angle)` rotation around z-axis and origin
`abstract IGeometry` | `rot(IVecI axis, double angle)`
`abstract IGeometry` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`abstract IGeometry` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`abstract IGeometry` | `rot(IVecI center, IVecI axis, double angle)`
`abstract IGeometry` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center
`abstract IGeometry` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`abstract IGeometry` | `rot2(double angle)` rotation on xy-plane around origin; same with rot(double)
`abstract IGeometry` | `rot2(IDoubleI angle)` rotation on xy-plane around origin; same with rot(IDoubleI)
`abstract IGeometry` | `rot2(IVecI destDir)` rotation on xy-plane to destination direction vector
`abstract IGeometry` | `rot2(IVecI center, double angle)`
`abstract IGeometry` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane around center
`abstract IGeometry` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane to destination point location
`abstract IGeometry` | `scale(double f)`
`abstract IGeometry` | `scale(IDoubleI f)` alias of mul
`abstract IGeometry` | `scale(IVecI center, double f)`
`abstract IGeometry` | `scale(IVecI center, IDoubleI f)`
`abstract IGeometry` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`abstract IGeometry` | `scale1d(IVecI axis, IDoubleI f)`
`abstract IGeometry` | `scale1d(IVecI center, IVecI axis, double f)`
`abstract IGeometry` | `scale1d(IVecI center, IVecI axis, IDoubleI f)`
`IGeometry` | `setColor(java.awt.Color c)`
`IGeometry` | `setColor(java.awt.Color c, int alpha)`
`IGeometry` | `setColor(double dgray)`
`IGeometry` | `setColor(double dgray, double dalpha)`
`IGeometry` | `setColor(double dr, double dg, double db)`
`IGeometry` | `setColor(double dr, double dg, double db, double da)`
`IGeometry` | `setColor(float fgray)`
`IGeometry` | `setColor(float fgray, float falpha)`
`IGeometry` | `setColor(float fr, float fg, float fb)`
`IGeometry` | `setColor(float fr, float fg, float fb, float fa)`
`IGeometry` | `setColor(int gray)`
`IGeometry` | `setColor(int gray, int alpha)`
`IGeometry` | `setColor(int r, int g, int b)`
`IGeometry` | `setColor(int r, int g, int b, int a)`
`IGeometry` | `setHSBColor(double h, double s, double b)`
`IGeometry` | `setHSBColor(double h, double s, double b, double a)`
`IGeometry` | `setHSBColor(float h, float s, float b)`
`IGeometry` | `setHSBColor(float h, float s, float b, float a)`
`abstract IGeometry` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`abstract IGeometry` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`abstract IGeometry` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)`
`abstract IGeometry` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`abstract IGeometry` | `shearXY(double sxy, double syx)`
`abstract IGeometry` | `shearXY(IDoubleI sxy, IDoubleI syx)`
`abstract IGeometry` | `shearXY(IVecI center, double sxy, double syx)`
`abstract IGeometry` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)`
`abstract IGeometry` | `shearYZ(double syz, double szy)`
`abstract IGeometry` | `shearYZ(IDoubleI syz, IDoubleI szy)`
`abstract IGeometry` | `shearYZ(IVecI center, double syz, double szy)`
`abstract IGeometry` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)`
`abstract IGeometry` | `shearZX(double szx, double sxz)`
`abstract IGeometry` | `shearZX(IDoubleI szx, IDoubleI sxz)`
`abstract IGeometry` | `shearZX(IVecI center, double szx, double sxz)`
`abstract IGeometry` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)`
`IGeometry` | `show()`
`abstract IGeometry` | `sub(double x, double y, double z)`
`abstract IGeometry` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`abstract IGeometry` | `sub(IVecI v)`
`abstract IGeometry` | `transform(IMatrix3I mat)`
`abstract IGeometry` | `transform(IMatrix4I mat)`
`abstract IGeometry` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)`
`abstract IGeometry` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)`
`abstract IGeometry` | `translate(double x, double y, double z)` translate() is alias of add()
`abstract IGeometry` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)`
`abstract IGeometry` | `translate(IVecI v)`
`IGeometry` | `weight(double w)`
`IGeometry` | `weight(float w)`

Methods inherited from class igeo.IObject
`addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, createGraphic, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, name, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setColor, setColor, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IGeometry

    public IGeometry()

### IGeometry

    public IGeometry(IServerI holder)

### IGeometry

    public IGeometry(IGeometry e)

### IGeometry

    public IGeometry(IServerI holder,
                     IGeometry e)

Method Detail

### dup

    public IGeometry dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `ITransformable`
  Overrides:
    `dup` in class `IObject`

### cp

    public IGeometry cp()

  Description copied from class: `IObject`
  alias of dup()

  Specified by:
    `cp` in interface `ITransformable`
  Overrides:
    `cp` in class `IObject`

### center

    public abstract IVecI center()

  returns center of geometry object

### layer

    public IGeometry layer(ILayer l)

  Set layer by ILayer object

  Overrides:
    `layer` in class `IObject`

### layer

    public IGeometry layer(java.lang.String layerName)

  Set layer by layer name. If the layer specified by the name is not existing in the server, a new layer is automatically created in the server

  Overrides:
    `layer` in class `IObject`

### attr

    public IGeometry attr(IAttribute at)

  Description copied from class: `IObject`
  set attributes

  Overrides:
    `attr` in class `IObject`

### hide

    public IGeometry hide()

  Overrides:
    `hide` in class `IObject`

### show

    public IGeometry show()

  Overrides:
    `show` in class `IObject`

### clr

    public IGeometry clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(IColor c,
                         int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(IColor c,
                         float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(IColor c,
                         double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(java.awt.Color c,
                         int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(java.awt.Color c,
                         float alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(java.awt.Color c,
                         double alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(int gray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(double dgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(float fgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(int gray,
                         int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(double dgray,
                         double dalpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(float fgray,
                         float falpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(int r,
                         int g,
                         int b)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(double dr,
                         double dg,
                         double db)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(float fr,
                         float fg,
                         float fb)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(int r,
                         int g,
                         int b,
                         int a)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(double dr,
                         double dg,
                         double db,
                         double da)

  Overrides:
    `clr` in class `IObject`

### clr

    public IGeometry clr(float fr,
                         float fg,
                         float fb,
                         float fa)

  Overrides:
    `clr` in class `IObject`

### hsb

    public IGeometry hsb(double dh,
                         double ds,
                         double db,
                         double da)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IGeometry hsb(float h,
                         float s,
                         float b,
                         float a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IGeometry hsb(double dh,
                         double ds,
                         double db)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IGeometry hsb(float h,
                         float s,
                         float b)

  Overrides:
    `hsb` in class `IObject`

### setColor

    public IGeometry setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(java.awt.Color c,
                              int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(int gray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(float fgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(double dgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(int gray,
                              int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(float fgray,
                              float falpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(double dgray,
                              double dalpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(int r,
                              int g,
                              int b)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(float fr,
                              float fg,
                              float fb)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(double dr,
                              double dg,
                              double db)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(int r,
                              int g,
                              int b,
                              int a)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(float fr,
                              float fg,
                              float fb,
                              float fa)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IGeometry setColor(double dr,
                              double dg,
                              double db,
                              double da)

  Overrides:
    `setColor` in class `IObject`

### setHSBColor

    public IGeometry setHSBColor(float h,
                                 float s,
                                 float b,
                                 float a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IGeometry setHSBColor(double h,
                                 double s,
                                 double b,
                                 double a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IGeometry setHSBColor(float h,
                                 float s,
                                 float b)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IGeometry setHSBColor(double h,
                                 double s,
                                 double b)

  Overrides:
    `setHSBColor` in class `IObject`

### weight

    public IGeometry weight(double w)

  Overrides:
    `weight` in class `IObject`

### weight

    public IGeometry weight(float w)

  Overrides:
    `weight` in class `IObject`

### add

    public abstract IGeometry add(double x,
                                  double y,
                                  double z)

  ITransformable API

  Specified by:
    `add` in interface `ITransformable`

### add

    public abstract IGeometry add(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`

### add

    public abstract IGeometry add(IVecI v)

  Specified by:
    `add` in interface `ITransformable`

### sub

    public abstract IGeometry sub(double x,
                                  double y,
                                  double z)

  Specified by:
    `sub` in interface `ITransformable`

### sub

    public abstract IGeometry sub(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`

### sub

    public abstract IGeometry sub(IVecI v)

  Specified by:
    `sub` in interface `ITransformable`

### mul

    public abstract IGeometry mul(IDoubleI v)

  Specified by:
    `mul` in interface `ITransformable`

### mul

    public abstract IGeometry mul(double v)

  Specified by:
    `mul` in interface `ITransformable`

### div

    public abstract IGeometry div(IDoubleI v)

  Specified by:
    `div` in interface `ITransformable`

### div

    public abstract IGeometry div(double v)

  Specified by:
    `div` in interface `ITransformable`

### neg

    public abstract IGeometry neg()

  Specified by:
    `neg` in interface `ITransformable`

### flip

    public abstract IGeometry flip()

  alias of neg

  Specified by:
    `flip` in interface `ITransformable`

### add

    public abstract IGeometry add(IVecI v,
                                  double f)

  scale add

  Specified by:
    `add` in interface `ITransformable`

### add

    public abstract IGeometry add(IVecI v,
                                  IDoubleI f)

  scale add

  Specified by:
    `add` in interface `ITransformable`

### add

    public abstract IGeometry add(double f,
                                  IVecI v)

  scale add alias

  Specified by:
    `add` in interface `ITransformable`

### add

    public abstract IGeometry add(IDoubleI f,
                                  IVecI v)

  scale add alias

  Specified by:
    `add` in interface `ITransformable`

### rot

    public abstract IGeometry rot(IDoubleI angle)

  rotation around z-axis and origin

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public abstract IGeometry rot(double angle)

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public abstract IGeometry rot(IVecI axis,
                                  IDoubleI angle)

  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public abstract IGeometry rot(IVecI axis,
                                  double angle)

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public abstract IGeometry rot(IVecI center,
                                  IVecI axis,
                                  IDoubleI angle)

  rotation around axis vector and center

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public abstract IGeometry rot(IVecI center,
                                  IVecI axis,
                                  double angle)

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public abstract IGeometry rot(IVecI axis,
                                  IVecI destDir)

  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public abstract IGeometry rot(IVecI center,
                                  IVecI axis,
                                  IVecI destPt)

  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`

### rot2

    public abstract IGeometry rot2(IDoubleI angle)

  rotation on xy-plane around origin; same with rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public abstract IGeometry rot2(double angle)

  rotation on xy-plane around origin; same with rot(double)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public abstract IGeometry rot2(IVecI center,
                                   IDoubleI angle)

  rotation on xy-plane around center

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public abstract IGeometry rot2(IVecI center,
                                   double angle)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public abstract IGeometry rot2(IVecI destDir)

  rotation on xy-plane to destination direction vector

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public abstract IGeometry rot2(IVecI center,
                                   IVecI destPt)

  rotation on xy-plane to destination point location

  Specified by:
    `rot2` in interface `ITransformable`

### scale

    public abstract IGeometry scale(IDoubleI f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`

### scale

    public abstract IGeometry scale(double f)

  Specified by:
    `scale` in interface `ITransformable`

### scale

    public abstract IGeometry scale(IVecI center,
                                    IDoubleI f)

  Specified by:
    `scale` in interface `ITransformable`

### scale

    public abstract IGeometry scale(IVecI center,
                                    double f)

  Specified by:
    `scale` in interface `ITransformable`

### scale1d

    public abstract IGeometry scale1d(IVecI axis,
                                      double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`

### scale1d

    public abstract IGeometry scale1d(IVecI axis,
                                      IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`

### scale1d

    public abstract IGeometry scale1d(IVecI center,
                                      IVecI axis,
                                      double f)

  Specified by:
    `scale1d` in interface `ITransformable`

### scale1d

    public abstract IGeometry scale1d(IVecI center,
                                      IVecI axis,
                                      IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`

### ref

    public abstract IGeometry ref(IVecI planeDir)

  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`

### ref

    public abstract IGeometry ref(IVecI center,
                                  IVecI planeDir)

  Specified by:
    `ref` in interface `ITransformable`

### mirror

    public abstract IGeometry mirror(IVecI planeDir)

  mirror is alias of ref

  Specified by:
    `mirror` in interface `ITransformable`

### mirror

    public abstract IGeometry mirror(IVecI center,
                                     IVecI planeDir)

  Specified by:
    `mirror` in interface `ITransformable`

### shear

    public abstract IGeometry shear(double sxy,
                                    double syx,
                                    double syz,
                                    double szy,
                                    double szx,
                                    double sxz)

  shear operation

  Specified by:
    `shear` in interface `ITransformable`

### shear

    public abstract IGeometry shear(IDoubleI sxy,
                                    IDoubleI syx,
                                    IDoubleI syz,
                                    IDoubleI szy,
                                    IDoubleI szx,
                                    IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`

### shear

    public abstract IGeometry shear(IVecI center,
                                    double sxy,
                                    double syx,
                                    double syz,
                                    double szy,
                                    double szx,
                                    double sxz)

  Specified by:
    `shear` in interface `ITransformable`

### shear

    public abstract IGeometry shear(IVecI center,
                                    IDoubleI sxy,
                                    IDoubleI syx,
                                    IDoubleI syz,
                                    IDoubleI szy,
                                    IDoubleI szx,
                                    IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`

### shearXY

    public abstract IGeometry shearXY(double sxy,
                                      double syx)

  Specified by:
    `shearXY` in interface `ITransformable`

### shearXY

    public abstract IGeometry shearXY(IDoubleI sxy,
                                      IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`

### shearXY

    public abstract IGeometry shearXY(IVecI center,
                                      double sxy,
                                      double syx)

  Specified by:
    `shearXY` in interface `ITransformable`

### shearXY

    public abstract IGeometry shearXY(IVecI center,
                                      IDoubleI sxy,
                                      IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`

### shearYZ

    public abstract IGeometry shearYZ(double syz,
                                      double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`

### shearYZ

    public abstract IGeometry shearYZ(IDoubleI syz,
                                      IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`

### shearYZ

    public abstract IGeometry shearYZ(IVecI center,
                                      double syz,
                                      double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`

### shearYZ

    public abstract IGeometry shearYZ(IVecI center,
                                      IDoubleI syz,
                                      IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`

### shearZX

    public abstract IGeometry shearZX(double szx,
                                      double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`

### shearZX

    public abstract IGeometry shearZX(IDoubleI szx,
                                      IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`

### shearZX

    public abstract IGeometry shearZX(IVecI center,
                                      double szx,
                                      double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`

### shearZX

    public abstract IGeometry shearZX(IVecI center,
                                      IDoubleI szx,
                                      IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`

### mv

    public abstract IGeometry mv(double x,
                                 double y,
                                 double z)

  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`

### mv

    public abstract IGeometry mv(IDoubleI x,
                                 IDoubleI y,
                                 IDoubleI z)

  Specified by:
    `mv` in interface `ITransformable`

### mv

    public abstract IGeometry mv(IVecI v)

  Specified by:
    `mv` in interface `ITransformable`

### cp

    public abstract IGeometry cp(double x,
                                 double y,
                                 double z)

  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`

### cp

    public abstract IGeometry cp(IDoubleI x,
                                 IDoubleI y,
                                 IDoubleI z)

  Specified by:
    `cp` in interface `ITransformable`

### cp

    public abstract IGeometry cp(IVecI v)

  Specified by:
    `cp` in interface `ITransformable`

### translate

    public abstract IGeometry translate(double x,
                                        double y,
                                        double z)

  translate() is alias of add()

  Specified by:
    `translate` in interface `ITransformable`

### translate

    public abstract IGeometry translate(IDoubleI x,
                                        IDoubleI y,
                                        IDoubleI z)

  Specified by:
    `translate` in interface `ITransformable`

### translate

    public abstract IGeometry translate(IVecI v)

  Specified by:
    `translate` in interface `ITransformable`

### transform

    public abstract IGeometry transform(IMatrix3I mat)

  Specified by:
    `transform` in interface `ITransformable`

### transform

    public abstract IGeometry transform(IMatrix4I mat)

  Specified by:
    `transform` in interface `ITransformable`

### transform

    public abstract IGeometry transform(IVecI xvec,
                                        IVecI yvec,
                                        IVecI zvec)

  Specified by:
    `transform` in interface `ITransformable`

### transform

    public abstract IGeometry transform(IVecI xvec,
                                        IVecI yvec,
                                        IVecI zvec,
                                        IVecI translate)

  Specified by:
    `transform` in interface `ITransformable`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD